Subject: Re: gitweb testing with non-apache web server

From: Marc Singer <[email-masked]>
Date: Thu, 3 Aug 2006 09:20:38 -0700

On Thu, Aug 03, 2006 at 05:48:11PM +0200, Jakub Narebski wrote:
> Marc Singer wrote:
> 
> > That isn't enough.  I did something like that when I was exploring the
> > script.  While the change *does* eliminate the 403 error, it doesn't
> > make the rest of the script work properly.  All of the links return to
> > the same page that lists the projects.
> 
> Strange... PATH_INFO is used _only_ if 'p' parameter is not set. And all
> links use 'p=$project', not PATH_INFO...
> 
> Are you sure you did changes mentioned in earlier post?

Yes.  I think that there is something else awry as well.  Note that
with the change you suggested, the latest script functions at the same
level as the latest from the repo.

TBPH, I've never found a good way to debug CGI scripts.  I just want
to see what is going on and that's hard considering the fact that the
server behavior seems to be a crucial component.  When I run the
script stand-alone, I see the results I expect (with some errors about
the CGI object missing some parameters).

> 
> -- 
> Jakub Narebski
> Warsaw, Poland
> ShadeHawk on #git
> 
> 
> -
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html